Adapt csspec for On/Off analysis

10/17/2017 10:49 PM - Knödlseder Jürgen

Status: Closed Start date: 10/17/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

Make sure that csspec can be used for an On/Off analysis

History

#1 - 10/18/2017 11:51 AM - Knödlseder Jürgen

- File comparison.png added

- Status changed from New to In Progress

- % Done changed from 0 to 80

I adapted the script so that it can also handle On/Off data. This needed some minor changes in GammaLib, and in particular, the addition of a PHA,

ARF and RMF constructor to GCTAOnOffObservation.

Below a comparison spectrum for a simulated 30 min Crab observation. Red are the spectral points obtained with csspec, blue the spectral points

obtained using an unbinned analysis without energy dispersion, and green the spectral points obtained using an unbinned analysis with energy

dispersion. Note that for a On/Off analysis, energy dispersion is always included.

The spectra are pretty consistent, and the error bars are larger for On/Off with respect to an unbinned analysis as expected from the larger

uncertainty in the background model.
#2 - 10/18/2017 11:56 AM - Knödlseder Jürgen

- File comparison.png added

#3 - 10/18/2017 11:56 AM - Knödlseder Jürgen

- File deleted (comparison.png)

#4 - 10/18/2017 12:07 PM - Knödlseder Jürgen

- File comparison20.png added

Same for 20 energy bins.

 

#5 - 10/18/2017 09:57 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Code merged into devel.

Files

comparison.png 32.7 KB 10/18/2017 Knödlseder Jürgen

comparison20.png 38.7 KB 10/18/2017 Knödlseder Jürgen
